<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:a4j="http://richfaces.org/a4j"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:gri="http://java.sun.com/jsf/composite/gri"
                xmlns="http://www.w3.org/1999/xhtml">
    <!-- XUA -->
    <s:div id="XUADiv">
        <s:div rendered="#{simuManager.selectedTransaction != null}">
            <s:div id="XUAUsedId">
                <a4j:region id="isXUAUsedRegion">
                    <div class="form-horizontal">
                        <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.XUAType']}</ui:define>
                            <ui:param name="id" value="XUATypeId"/>
                            <h:selectOneMenu id="XUATypeId" value="#{simuManager.xuaType}"
                                             styleClass="form-control gzl-form-control gzl-select-text">
                                <s:selectItems value="#{xuaConfiguration.listXUAType}" var="val"
                                               noSelectionLabel="#{messages['net.ihe.gazelle.xdstar.PleaseSelect']}"
                                               label="#{val}"/>
                                <a4j:ajax event="change" for="XUATypeId"
                                          render="XUADiv,SAMLDiv"/>
                            </h:selectOneMenu>
                        </s:decorate>
                    </div>
                </a4j:region>
            </s:div>
            <s:div id="SAMLDiv" rendered="#{simuManager.isXuaTypeEPR()}">
                <gri:panel id="samlProviderDiv">
                    <f:facet name="header">#{messages['net.ihe.gazelle.xdstar.XUAParameters']}</f:facet>
                    <div class="form-horizontal">
                        <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.GLN']}</ui:define>
                            <ui:param name="id" value="GNLId"/>
                            <h:inputText id="GNLId" value="#{simuManager.subjectNameId}" maxlength="255" size="80"
                                         styleClass="form-control"/>
                        </s:decorate>
                        <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Resourceid']}</ui:define>
                            <ui:param name="id" value="ResourceIdId"/>
                            <h:inputText id="ResourceIdId" value="#{simuManager.resourceId}" maxlength="255" size="80"
                                         styleClass="form-control"/>
                        </s:decorate>
                        <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                            <ui:define name="label">#{messages['net.ihe.gazelle.xdstar.Organizationid']}</ui:define>
                            <ui:param name="id" value="OrganizationIdId"/>
                            <h:inputText id="OrganizationIdId" value="#{simuManager.organizationId}"
                                         maxlength="255" size="80" styleClass="form-control"/>
                        </s:decorate>
                    </div>
                </gri:panel>
            </s:div>
        </s:div>
    </s:div>
</ui:composition>
